# Generated from beaker-answers-0.29.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name beaker-answers

Name: rubygem-%{gem_name}
Version: 0.29.0
Release: 1%{?dist}
Summary: Answer generation for PE Installation!
License: Apache2
URL: https://github.com/puppetlabs/beaker-answers
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(fakefs) >= 1.3
# BuildRequires: rubygem(fakefs) < 2
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-its)
# BuildRequires: rubygem(rubocop) >= 0.50
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop-rspec) >= 1.20
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(simplecov) >= 0.21.2
# BuildRequires: rubygem(simplecov) < 0.22
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(thin)
BuildArch: noarch

%description
For use for the Beaker acceptance testing tool.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/beaker-answers
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%{gem_instdir}/.simplecov
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODEOWNERS
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/beaker-answers.gemspec
%{gem_instdir}/spec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.29.0-1
- Initial package
